%define tarball xf86-video-via
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

%define with_xvmc 1

Summary:   Xorg X11 via video driver
Name:      xorg-x11-drv-via
Version:   0.1.33.2
Release:   2
URL:       http://www.x.org
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   http://xorg.freedesktop.org/X11R7.0/src/driver/%{tarball}-%{version}.tar.bz2
Source1:   via.xinf

ExclusiveArch: %{ix86} x86_64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk
%if %{with_xvmc}
BuildRequires: libXvMC-devel
%endif
BuildRequires: libdrm-devel >= 2.0-1

Requires:  xorg-x11-server-Xorg

%description 
X.Org X11 via video driver.

%if %{with_xvmc}
%package devel
Summary:   Xorg X11 via video driver XvMC development package
Group:     Development/System
Requires:  %{name} = %{version}-%{release}

%description devel
X.Org X11 via video driver XvMC development package.
%endif

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/via_drv.so
%{_datadir}/hwdata/videoaliases/via.xinf
%if %{with_xvmc}
%{_libdir}/libviaXvMC.so.1
%{_libdir}/libviaXvMC.so.1.0.0
%{_libdir}/libviaXvMCPro.so.1
%{_libdir}/libviaXvMCPro.so.1.0.0
%endif
#%dir %{_mandir}/man4x
%{_mandir}/man4/via.4*

%if %{with_xvmc}
%files devel
%defattr(-,root,root,-)
%{_libdir}/libviaXvMC.so
%{_libdir}/libviaXvMCPro.so
%endif

%changelog
* Wed Feb 22 2006 Mike A. Harris <mharris@redhat.com> 0.1.33.2-2
- Install via.xinf, which was inadvertently left out of packaging (#182506)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 0.1.33.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 0.1.33.2-1
- Updated xorg-x11-drv-via to version 0.1.33.2 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 0.1.33.1-1
- Updated xorg-x11-drv-via to version 0.1.33.1 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.
- Re-enabled the XvMC libs, etc.
- Updated libdrm dependency to >= 2.0-1

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 0.1.32-1
- Updated xorg-x11-drv-via to version 0.1.32 from X11R7 RC2
- Add rpm macro with_xvmc, and disable it by default, as upstream does not
  build the via XvMC modules in RC2.

* Fri Nov 04 2005 Mike A. Harris <mharris@redhat.com> 0.1.31.1-1
- Updated xorg-x11-drv-via to version 0.1.31.1 from X11R7 RC1
- Fix *.la file removal.
- Added "BuildRequires: libXvMC-devel" dependency.
- Added "BuildRequires: libdrm-devel >= 1.0.5-1" dependency as it is required
  to build this version of the via driver aparently.
- Added xorg-x11-drv-via-0.1.31.1-buildfix-CVSHEAD.patch to fix the driver
  to actually build.
- Added 'devel' subpackage for XvMC .so

* Tue Oct 04 2005 Mike A. Harris <mharris@redhat.com> 0.1.31-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to x86, x86_64

* Fri Sep 02 2005 Mike A. Harris <mharris@redhat.com> 0.1.31-0
- Initial spec file for via video driver generated automatically
  by my xorg-driverspecgen script.
